Subject: bug#20877: Building coreutils on ubuntu 15.04 64bit fails.

From: Efraim Flashner <[email-masked]>
Date: Fri, 26 Jun 2015 12:03:20 +0300

On Fri, 26 Jun 2015 09:59:10 +0900
crocket <[email-masked]> wrote:

> 
> 1. I ran 'gix pull' on the day I submitted the bug, and 'guix
> --version' says the version is 0.8.2.
> 2. I installed the latest release of binary tarball.
> 3. /usr/local/bin/guix-daemon --build-users-group=guix-builder
> /usr/local/bin/guix-daemon is symlinked
> to /root/.guix-profile/bin/guix-daemon 4. After I saw a test error during
> coreutils build, I enabled substitutes by executing 'guix archive
> --authorize < hydra.gnu.org.pub'.
> After enabling substitutes, I could install coreutils.
> 5. '/' includes '/tmp'. '/' is a btrfs. The mount options are
> rw,noatime,compress=lzo,ssd,discard,space_cache,autodefrag
> 

As a shot in the dark that btrfs might somehow be to blame, I know that in
Debian sid for quite some time the default is to have /tmp mounted as tmpfs.
How much ram do you have? In the interest of seeing if its something we can
blame on btrfs or your mount options, try changing the mount point of /tmp
in /etc/fstab to something like mine and reinstalling coreutils:
tmpfs	/tmp	tmpfs	defaults,size=2G	0 0

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted